summaryrefslogtreecommitdiff
path: root/dev-ml/findlib
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ml/findlib
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ml/findlib')
-rw-r--r--dev-ml/findlib/Manifest2
-rw-r--r--dev-ml/findlib/findlib-1.9.6-r1.ebuild85
-rw-r--r--dev-ml/findlib/findlib-1.9.8-r1.ebuild94
-rw-r--r--dev-ml/findlib/findlib-1.9.8.ebuild90
-rw-r--r--dev-ml/findlib/metadata.xml9
5 files changed, 280 insertions, 0 deletions
diff --git a/dev-ml/findlib/Manifest b/dev-ml/findlib/Manifest
new file mode 100644
index 000000000000..2e1b8d5933aa
--- /dev/null
+++ b/dev-ml/findlib/Manifest
@@ -0,0 +1,2 @@
+DIST findlib-1.9.6.tar.gz 271246 BLAKE2B c9c98b9e92c0cf690e2c8794a1ed606c0288d49a016dfa08592c9f617be1020385f52bf37345a7cbcbc7f0fcb19750a6617036cbf90afef231eccdbc7132baf8 SHA512 cfaf1872d6ccda548f07d32cc6b90c3aafe136d2aa6539e03143702171ee0199add55269bba894c77115535dc46a5835901a5d7c75768999e72db503bfd83027
+DIST findlib-1.9.8.tar.gz 274668 BLAKE2B 2483d2b833d566508680a5b9b3949aef187c290ab5602ef423ede214cb57f4b8f61dfeb9cc712499d8c7d0590388bf5e481263bbc841488e1fb62e866f9b64d8 SHA512 64aa28ac27358e1bc5d118e283fb64757fb96329151860bb9c1e9352a9fa1728ebcb4320b8d2eeb57ed2eea83c9849ea89d06c0fa25e1884ececb431341f9f1a
diff --git a/dev-ml/findlib/findlib-1.9.6-r1.ebuild b/dev-ml/findlib/findlib-1.9.6-r1.ebuild
new file mode 100644
index 000000000000..5a6c5c2a1475
--- /dev/null
+++ b/dev-ml/findlib/findlib-1.9.6-r1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OCaml tool to find/use non-standard packages"
+HOMEPAGE="http://projects.camlcity.org/projects/findlib.html"
+SRC_URI="http://download.camlcity.org/download/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ~ppc ppc64 ~riscv x86"
+IUSE="doc +ocamlopt tk"
+
+DEPEND="dev-lang/ocaml:=[ocamlopt?]
+ tk? ( dev-ml/labltk:= )"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED='.*'
+
+src_prepare() {
+ default
+ export ocamlfind_destdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
+ export stublibs="${ocamlfind_destdir}/stublibs"
+ sed -i \
+ -e "/dbm/d" \
+ -e "/graphics/d" \
+ -e "/ocamlbuild/d" \
+ -e "/check_library num/d" \
+ configure \
+ || die
+}
+
+src_configure() {
+ local myconf
+ use tk && myconf="-with-toolbox"
+ ./configure -bindir "${EPREFIX}"/usr/bin -mandir "${EPREFIX}"/usr/share/man \
+ -sitelib ${ocamlfind_destdir} \
+ -config ${ocamlfind_destdir}/findlib/findlib.conf \
+ -no-custom \
+ ${myconf} || die "configure failed"
+}
+
+src_compile() {
+ emake -j1 all
+ if use ocamlopt; then
+ emake -j1 opt # optimized code
+ fi
+}
+
+src_install() {
+ emake prefix="${D}" install
+
+ dodir "${stublibs#"${EPREFIX}"}"
+
+ if use doc; then
+ cd "${S}/doc" || die
+ dodoc QUICKSTART README DOCINFO
+ docinto html
+ dodoc -r ref-html guide-html
+ fi
+
+ # See bug #803275 and bug #833604
+ for x in camlp4 labltk; do
+ rm -rf "${ED}"/usr/$(get_libdir)/ocaml/${x} || die
+ done
+}
+
+check_stublibs() {
+ local ocaml_stdlib=$(ocamlc -where)
+ local ldconf="${ocaml_stdlib}/ld.conf"
+
+ if [[ ! -e ${ldconf} ]] ; then
+ echo "${ocaml_stdlib}" > ${ldconf} || die
+ echo "${ocaml_stdlib}/stublibs" >> ${ldconf} || die
+ fi
+
+ if ! grep -qe ${stublibs} ${ldconf} ; then
+ echo ${stublibs} >> ${ldconf} || die
+ fi
+}
+
+pkg_postinst() {
+ check_stublibs
+}
diff --git a/dev-ml/findlib/findlib-1.9.8-r1.ebuild b/dev-ml/findlib/findlib-1.9.8-r1.ebuild
new file mode 100644
index 000000000000..5498d8a98445
--- /dev/null
+++ b/dev-ml/findlib/findlib-1.9.8-r1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OCaml tool to find/use non-standard packages"
+HOMEPAGE="http://projects.camlcity.org/projects/findlib.html"
+SRC_URI="http://download.camlcity.org/download/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc +ocamlopt tk"
+
+DEPEND=">=dev-lang/ocaml-5:=[ocamlopt?]
+ tk? ( dev-ml/labltk:= )"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED='.*'
+
+src_prepare() {
+ default
+ export ocamlfind_destdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
+ export stublibs="${ocamlfind_destdir}/stublibs"
+ sed -i \
+ -e "/dbm/d" \
+ -e "/graphics/d" \
+ -e "/ocamlbuild/d" \
+ -e "/check_library num/d" \
+ configure \
+ || die
+ sed -i \
+ -e "s|capitalize |capitalize_ascii |" \
+ -e "s|Pervasives.||" \
+ src/findlib-toolbox/make_wizard.ml \
+ || die
+}
+
+src_configure() {
+ local myconf
+ use tk && myconf="-with-toolbox"
+ ./configure -bindir "${EPREFIX}"/usr/bin -mandir "${EPREFIX}"/usr/share/man \
+ -sitelib ${ocamlfind_destdir} \
+ -config ${ocamlfind_destdir}/findlib/findlib.conf \
+ -no-custom \
+ ${myconf} || die "configure failed"
+}
+
+src_compile() {
+ emake -j1 all
+ if use ocamlopt; then
+ emake -j1 opt # optimized code
+ fi
+}
+
+src_install() {
+ emake prefix="${D}" install
+
+ dodir "${stublibs#"${EPREFIX}"}"
+
+ if use doc; then
+ cd "${S}/doc" || die
+ dodoc QUICKSTART README DOCINFO
+ docinto html
+ dodoc -r ref-html guide-html
+ fi
+
+ # See bug #803275 and bug #833604
+ for x in camlp4 labltk; do
+ rm -rf "${ED}"/usr/$(get_libdir)/ocaml/${x} || die
+ done
+
+ for x in compiler-libs dynlink ocamldoc stdlib str threads unix; do
+ rm -f "${ED}"/usr/$(get_libdir)/ocaml/${x}/META
+ done
+}
+
+check_stublibs() {
+ local ocaml_stdlib=$(ocamlc -where)
+ local ldconf="${ocaml_stdlib}/ld.conf"
+
+ if [[ ! -e ${ldconf} ]] ; then
+ echo "${ocaml_stdlib}" > ${ldconf} || die
+ echo "${ocaml_stdlib}/stublibs" >> ${ldconf} || die
+ fi
+
+ if ! grep -qe ${stublibs} ${ldconf} ; then
+ echo ${stublibs} >> ${ldconf} || die
+ fi
+}
+
+pkg_postinst() {
+ check_stublibs
+}
diff --git a/dev-ml/findlib/findlib-1.9.8.ebuild b/dev-ml/findlib/findlib-1.9.8.ebuild
new file mode 100644
index 000000000000..69677669282f
--- /dev/null
+++ b/dev-ml/findlib/findlib-1.9.8.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OCaml tool to find/use non-standard packages"
+HOMEPAGE="http://projects.camlcity.org/projects/findlib.html"
+SRC_URI="http://download.camlcity.org/download/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc +ocamlopt tk"
+
+DEPEND="dev-lang/ocaml:=[ocamlopt?]
+ tk? ( dev-ml/labltk:= )"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED='.*'
+
+src_prepare() {
+ default
+ export ocamlfind_destdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
+ export stublibs="${ocamlfind_destdir}/stublibs"
+ sed -i \
+ -e "/dbm/d" \
+ -e "/graphics/d" \
+ -e "/ocamlbuild/d" \
+ -e "/check_library num/d" \
+ configure \
+ || die
+ sed -i \
+ -e "s|capitalize |capitalize_ascii |" \
+ -e "s|Pervasives.||" \
+ src/findlib-toolbox/make_wizard.ml \
+ || die
+}
+
+src_configure() {
+ local myconf
+ use tk && myconf="-with-toolbox"
+ ./configure -bindir "${EPREFIX}"/usr/bin -mandir "${EPREFIX}"/usr/share/man \
+ -sitelib ${ocamlfind_destdir} \
+ -config ${ocamlfind_destdir}/findlib/findlib.conf \
+ -no-custom \
+ ${myconf} || die "configure failed"
+}
+
+src_compile() {
+ emake -j1 all
+ if use ocamlopt; then
+ emake -j1 opt # optimized code
+ fi
+}
+
+src_install() {
+ emake prefix="${D}" install
+
+ dodir "${stublibs#"${EPREFIX}"}"
+
+ if use doc; then
+ cd "${S}/doc" || die
+ dodoc QUICKSTART README DOCINFO
+ docinto html
+ dodoc -r ref-html guide-html
+ fi
+
+ # See bug #803275 and bug #833604
+ for x in camlp4 labltk; do
+ rm -rf "${ED}"/usr/$(get_libdir)/ocaml/${x} || die
+ done
+}
+
+check_stublibs() {
+ local ocaml_stdlib=$(ocamlc -where)
+ local ldconf="${ocaml_stdlib}/ld.conf"
+
+ if [[ ! -e ${ldconf} ]] ; then
+ echo "${ocaml_stdlib}" > ${ldconf} || die
+ echo "${ocaml_stdlib}/stublibs" >> ${ldconf} || die
+ fi
+
+ if ! grep -qe ${stublibs} ${ldconf} ; then
+ echo ${stublibs} >> ${ldconf} || die
+ fi
+}
+
+pkg_postinst() {
+ check_stublibs
+}
diff --git a/dev-ml/findlib/metadata.xml b/dev-ml/findlib/metadata.xml
new file mode 100644
index 000000000000..3a6d48cde411
--- /dev/null
+++ b/dev-ml/findlib/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>ML</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>